Commit 20abac1e authored by claes's avatar claes

Rpm package pwrsev added

parent 0a15059e
#!/bin/bash
# Get version
if [ -e $pwr_inc/pwr_version.h ]; then
ver=`eval cat $pwr_inc/pwr_version.h | grep "\bpwrv_cWbdbVersionShortStr\b" | awk '{print $3}'`
if [ -z $ver ]; then
echo "Unable to get pwr version"
ver="V00"
fi
ver=${ver:2:2}
fi
# Generate version help file
{
if [ ! -e $pwre_sroot/tools/pkg/rpm/pwrsev/pwrsev.spec ]; then
echo "Controlfile not found"
exit 1
fi
datfile=$pwre_sroot/tools/pkg/rpm/pwrsev/pwrsev.spec
echo "<topic> version"
d=`eval date +\"%F %X\"`
{
let printout=0
while read line; do
if [ "${line:0:6}" = "Name: " ]; then
package=${line#Name: }
fi
if [ "${line:0:9}" = "Version: " ]; then
version=${line#Version: }
fi
if [ "${line:0:9}" = "Release: " ]; then
release=${line#Release: }
fi
if [ "${line:0:11}" = "BuildArch: " ]; then
arch=${line#BuildArch: }
fi
if [ "${line:0:9}" = "Summary: " ]; then
summary=${line#Summary: }
fi
if [ "${line:0:10}" = "%changelog" ]; then
echo ""
echo "<image> pwr_logga.gif"
echo ""
echo ""
echo ""
echo "<b>Proview V${version:0:3}"
echo "Version V$version"
echo ""
echo "Copyright © 2004-${d:0:4} SSAB Oxelösund AB"
echo ""
echo "This program is free software; you can redistribute it and/or"
echo "modify it under the terms of the GNU General Public License as"
echo "published by the Free Software Foundation, either version 2 of"
echo "the License, or (at your option) any later version."
echo ""
echo "This program is distributed in the hope that it will be useful"
echo "but WITHOUT ANY WARRANTY; without even the implied warranty of"
echo "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
echo "For more details, see the"
echo "GNU General Public License. <weblink> http://www.proview.se/gpllicense.html"
echo ""
echo "E-mail postmaster@proview.se <weblink> mailto:postmaster@proview.se"
echo "Internet www.proview.se <weblink> http://www.proview.se"
echo ""
echo ""
echo "<b>Package"
echo "Package $package""-""$version""-""$release"".""$arch"
echo "Build date $d"
echo "Package description:"
echo "$summary"
echo ""
printout=1
else
if [ $printout -eq 1 ]; then
if [ "${line:0:1}" = "-" ]; then
echo $line
else
echo ${line:2}
fi
fi
fi
done
} < $datfile
echo "</topic>"
} > $pwr_eexe/sev_xtt_version_help.dat
# Convert to html
co_convert -t -d $pwr_doc $pwr_eexe/sev_xtt_version_help.dat
{
echo "<html><head>"
echo "<meta http-equiv=\"Refresh\" content=\"5;../sev_xtt_version_help_version.html\">"
echo "</head></html>"
} > $pwr_doc/en_us/package_version.html
if [ "$1" == "-v" ]; then
exit
fi
pkgroot=$pwre_broot/$pwre_target/bld/pkg/pwrsev
pkgsrc=$pwre_sroot/tools/pkg/rpm/pwrsev
# Create directories
echo "-- Create package tree"
mkdir -p $pkgroot/rpm/BUILD
mkdir -p $pkgroot/rpm/RPMS
mkdir -p $pkgroot/rpm/SPECS
mkdir -p $pkgroot/rpm/SOURCES
mkdir -p $pkgroot/rpm/SRPMS
mkdir -p $pkgroot/usr/share/doc/pwrsev
mkdir -p $pkgroot/etc/init.d
find $pkgroot -type d | xargs chmod 755
# copyright
cp $pkgsrc/copyright $pkgroot/usr/share/doc/pwrsev
# changelog
cp $pkgsrc/changelog $pkgroot/usr/share/doc/pwrsev
gzip -fq --best $pkgroot/usr/share/doc/pwrsev/changelog
# Startup files
cp $pkgsrc/pwrp_profile $pkgroot/etc
chmod a+x $pkgroot/etc/pwrp_profile
cp $pkgsrc/pwrsev $pkgroot/etc/init.d
chmod a+x $pkgroot/etc/init.d/pwrsev
# Man pages
mkdir -p $pkgroot/usr/share/man/man1
cp $pkgsrc/pwrsev.1 $pkgroot/usr/share/man/man1/pwrsev.1
gzip -fq --best $pkgroot/usr/share/man/man1/pwrsev.1
cp $pkgsrc/sev_ini.1 $pkgroot/usr/share/man/man1/sev_ini.1
gzip -fq --best $pkgroot/usr/share/man/man1/sev_ini.1
cp $pkgsrc/sev_xtt.1 $pkgroot/usr/share/man/man1/sev_xtt.1
gzip -fq --best $pkgroot/usr/share/man/man1/sev_xtt.1
# Copy proview
mkdir $pkgroot/usr/pwrsev
currentdir="`eval pwd`"
tarfile=$pwre_broot/$pwre_target/bld/pkg/pwrtmp.tar
cd $pwre_broot/$pwre_target/exp
echo "-- Copy release to package tree"
tar -cf $tarfile exe/rt_qmon exe/rt_prio exe/sev_ini exe/sev_xtt exe/sev_xtt_gtk exe/sev_server exe/*.gif exe/*.png exe/sev_xtt_version_help.dat exe/pwr_pkg.sh exe/en_us/*.txt doc/*
cd $pkgroot/usr/pwrsev
mkdir cnf
tar -xf $tarfile
rm $tarfile
cp $pwr_eexe/wb_distr_keepboot.sh $pkgroot/usr/pwrsev/exe
cd $currentdir
# Copy configuration files to cnf
cp $pkgsrc/proview.cnf $pkgroot/usr/pwrsev/cnf
# Copy op to cnf
mkdir $pkgroot/usr/pwrsev/cnf/op
cp $pwre_sroot/tools/pkg/deb/op/.bashrc $pkgroot/usr/pwrsev/cnf/op
cp $pwre_sroot/tools/pkg/deb/op/.bash_profile $pkgroot/usr/pwrsev/cnf/op
cp $pwre_sroot/tools/pkg/deb/op/.rtt_start $pkgroot/usr/pwrsev/cnf/op
cp $pwre_sroot/tools/pkg/deb/op/.xtt_start $pkgroot/usr/pwrsev/cnf/op
# Copy user to cnf
mkdir $pkgroot/usr/pwrsev/cnf/user
cp $pwre_sroot/tools/pkg/deb/user/.bashrc $pkgroot/usr/pwrsev/cnf/user
cp $pwre_sroot/tools/pkg/deb/user/.bash_profile $pkgroot/usr/pwrsev/cnf/user
cp $pwre_sroot/tools/pkg/deb/user/.rtt_start $pkgroot/usr/pwrsev/cnf/user
cp $pwre_sroot/tools/pkg/deb/user/.xtt_start $pkgroot/usr/pwrsev/cnf/user
# Create package
echo "-- Building package"
rpmbuild -bb --quiet \
--define "_topdir $pkgroot/rpm" \
--buildroot $pkgroot $pkgsrc/pwrsev.spec > /dev/null 2>&1
mv $pkgroot/rpm/RPMS/i386/*.rpm $pwre_broot/$pwre_target/bld/pkg/.
#rm -r $pkgroot
Proview V3.4b (3.4.1-1)
\ No newline at end of file
Proview
Copyright: SSAB Oxelsund AB <ssabox.com>
2003-11-21
The home page of Proview is at:
http://www.proview.se
#
# Configuration file for Proview
#
# Default QCOM Bus Id
#
qcomBusId 517
#
# Web directory
#
webDirectory /pwrp/common/web
#
# Default privileges for SevXtt: Read, Admin or None
#
sevXttDefaultPriv Read
bus_id=""
if [ -e /etc/proview.cnf ]; then
bus_id=`eval cat /etc/proview.cnf | grep "\\bqcomBusId\\b" | awk '{print $2}'`
fi
if [ -e /etc/proview.cnf ]; then
web_dir=`eval cat /etc/proview.cnf | grep "\\bwebDirectory\\b" | awk '{print $2}'`
fi
export PWR_BUS_ID=$bus_id
export pwrb_root=/usr/pwrsev
export pwrp_root=/pwrp
export pwr_exe=$pwrb_root/exe
export pwr_lib=$pwrb_root/lib
export pwr_obj=$pwrb_root/obj
export pwr_inc=$pwrb_root/inc
export pwr_load=$pwrb_root/load
export pwr_lis=$pwrb_root/lis
export pwr_doc=$pwrb_root/doc
export pwrp_exe=$pwrp_root/x86_linux/exe
export pwrp_lib=$pwrp_root/x86_linux/lib
export pwrp_obj=$pwrp_root/x86_linux/obj
export pwrp_lis=$pwrp_root/x86_linux/lis
export pwrp_inc=$pwrp_root/common/inc
export pwrp_load=$pwrp_root/common/load
export pwrp_log=$pwrp_root/common/log
export pwrp_db=$pwrp_root/common/db
export pwrp_web=$web_dir
export pwra_db=/usr/pwrp/adm/db
jdk=`eval ls /usr/local | grep ^jre`
export jdk_home=/usr/local/$jdk/bin
PATH=$PATH:$pwr_exe:$pwrp_exe:$jdk_home
#Set display to remote computer
export DISPLAY=$REMOTEHOST:0.0
#symbols to define start/stop commands for PWR
alias pwr_stop='/etc/init.d/pwrsvestop'
alias pwr_stop.sh="/etc/init.d/pwrsev stop"
alias pwr_start="/etc/init.d/pwrsev start"
alias pwrsev="/etc/init.d/pwrsev"
alias pwr="/etc/init.d/pwrsev"
alias boot="/usr/bin/sudo /sbin/reboot"
if [ -e $pwrp_exe/profile ]; then
source $pwrp_exe/profile
fi
#!/bin/bash
#
# Startscript fr PWR
#
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
wrapper="/tmp/sev_ini_wrapper"
killer="/tmp/pwr_killer"
. /etc/pwrp_profile
umask 002
create_wrapper()
{
if [ ! -e $wrapper ] ; then
echo "#!/bin/bash" > $wrapper
echo "source /etc/pwrp_profile" >> $wrapper
echo "umask 002" >> $wrapper
echo "\$pwr_exe/sev_ini \$* &" >> $wrapper
chmod a+rx $wrapper
if [ ! -e $wrapper ] ;then
echo "$wrapper not writable, check permissions"
exit
fi
fi
}
create_killer()
{
echo "#!/bin/bash" > $killer
echo "source /etc/pwrp_profile" >> $killer
echo "umask 002" >> $killer
echo "`ps ax | grep "rt_" | awk '{ print "kill -9 "$1}'`" >> $killer
echo "`ps ax | grep "sev_" | awk '{ print "kill -9 "$1}'`" >> $killer
echo "eval `ipcs -s|grep ^0x|grep "[ \t]pwrp[ \t]"|awk '{printf "ipcrm sem %s;", $2}'`" >> $killer
echo "eval `ipcs -q|grep ^0x|grep "[ \t]pwrp[ \t]"|awk '{printf "ipcrm msg %s;", $2}'`" >> $killer
echo "eval `ipcs -m|grep ^0x|grep "[ \t]pwrp[ \t]"|awk '{printf "ipcrm shm %s;", $2}'`" >> $killer
echo "rm /tmp/pwr*\$PWR_BUS_ID" >> $killer
chmod a+rx $killer
if [ ! -e $killer ] ;then
echo "$killer not writable, check permissions"
exit
fi
}
pwr_start()
{
create_wrapper
if [ `whoami` == "pwrp" ];then
$wrapper
else
sudo -u pwrp $wrapper
fi
}
pwr_stop()
{
create_wrapper
if [ `whoami` == "pwrp" ];then
$wrapper -s
if [ -e $pwrp_exe/pwrp_stop.sh ]; then
source $pwrp_exe/pwrp_stop.sh
fi
else
sudo -u pwrp $wrapper -s
if [ -e $pwrp_exe/pwrp_stop.sh ]; then
sudo -u pwrp source $pwrp_exe/pwrp_stop.sh
fi
fi
while [ "`ps aux | grep -v grep | grep rt_`" != "" ] ; do sleep 1; done
}
pwr_reload()
{
if [ `whoami` == "pwrp" ];then
$pwr_exe/sev_ini_wrapper -r
else
sudo -u pwrp $pwr_exe/sev_ini_wrapper -r
fi
}
pwr_kill()
{
create_killer
if [ `whoami` == "pwrp" ];then
$killer
else
sudo -u pwrp $killer
fi
}
case "$1"
in
start)
echo "Start Proview Storage Environment."
pwr_start
echo "Done."
;;
stop)
echo "Stop Proveiw Storage Environment."
pwr_stop
echo "Done."
;;
restart)
echo "Restart Proview Storage Environment."
echo "Closing down..."
pwr_stop
sleep 1
echo "Starting..."
pwr_start
echo "Done."
;;
reload)
echo "Restart Proview Storage Environment."
echo "Closing down..."
pwr_stop
sleep 1
echo "Starting..."
pwr_start
echo "Done."
;;
kill)
echo "Remove all processes and resources for Proview Storage Environment"
pwr_kill
echo "Done."
;;
reset)
echo "Remove all processes and resources for Proview Storage Environment"
pwr_kill
echo "Done."
;;
*)
echo " pwrsev Start and stop Proview Storage Environment" >&2
echo "" >&2
echo " Usage:" >&2
echo " pwrsev start|stop|restart|reset" >&2
echo "" >&2
echo " start Start Storage environment" >&2
echo " stop Stop Storage environment" >&2
echo " restart First stop and then start Storage environment" >&2
echo " reset Remove all processes and resources" >&2
echo "" >&2
exit 1
;;
esac
exit 0
.TH pwr "1" "April 2005" "Proview" "Proview Manual"
.SH NAME
pwrsev - start and stop Proview Storage Environment
.SH SYNOPSIS
.B pwrsev
[start][stop][restart][reset]
.SH DESCRIPTION
Start and stop command for Proview Storage Environment.
.SH OPTIONS
.HP
\fBstart\fR
.IP
Start Proview storage environment.
.HP
\fBstop\fR
.IP
Stop Proview storage environment.
.HP
\fBrestart\fR
.IP
Stop and start the Proview storage environment.
.HP
\fBreset\fR
.IP
Remove all processes and resources.
.SH FILES
/etc/pwrp_profile
The Proview system wide configuration file.
.SH ENVIRONMENT
.HP
PWR_BUS_ID
.IP
QCOM bus identity.
.SH AUTHOR
Written by cs.
.SH "SEE ALSO"
.BR sev_ini(1)
###############################################################
# PACKAGE INFORMATION
#
# Notes:
#
# - rpm documentation
# See www.rpm.org.
#
Name: pwrsev
Summary: Proview/R storage environment
Version: 4.6.0
Release: 1
License: GPL
BuildArch: i386
Packager: claes.sjofors@proview.se
Group: Applications/System
Url: http://www.proview.se
%description
For more information please see www.proview.se.
#%prep
#%setup
#%build
%install
# Generate version help file
{
echo "<topic> version"
d=`eval date +\"%F %X\"`
echo ""
echo "<image> pwr_logga.gif"
echo ""
echo ""
echo ""
echo "<b>Proview Storage Environment V%{version}"
echo "Version V%{version}-%{release}"
echo ""
echo "Copyright 2004-${d:0:4} SSAB Oxelsund AB"
echo ""
echo "This program is free software; you can redistribute it and/or"
echo "modify it under the terms of the GNU General Public License as"
echo "published by the Free Software Foundation, either version 2 of"
echo "the License, or (at your option) any later version."
echo ""
echo "This program is distributed in the hope that it will be useful"
echo "but WITHOUT ANY WARRANTY; without even the implied warranty of"
echo "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
echo "For more details, see the"
echo "GNU General Public License. <weblink> http://www.proview.se/gpllicense.html"
echo ""
echo "E-mail postmaster@proview.se"
echo "Internet www.proview.se <link> http://www.proview.se/index.html"
echo ""
echo ""
echo "<b>Package"
echo "Package %{name}-%{version}-%{release}.i586.rpm"
echo "Build date $d"
echo "Package description:"
echo ""
echo %{summary}
echo "</topic>"
} > %{buildroot}/usr/pwrsev/exe/sev_xtt_version_help.dat
# Convert to html
co_convert -t -d %{buildroot}/usr/pwrsev/doc %{buildroot}/usr/pwrsev/exe/sev_xtt_version_help.dat
{
echo "<html><head>"
echo "<meta http-equiv=\"Refresh\" content=\"5;../sev_xtt_version_help_version.html\">"
echo "</head></html>"
} > %{buildroot}/usr/pwrsev/doc/en_us/package_version.html
#%clean
%files
%defattr(-,root,root)
/usr
/etc
%post
aroot="/usr/pwrp/adm"
proot="/pwrp"
# Create users ...
if getent group pwrp > /dev/null; then
echo "-- group pwrp already exist"
else
if groupadd pwrp; then
echo "-- group pwrp added"
fi
fi
if getent group b55 > /dev/null; then
echo "-- group b55 already exist"
else
if groupadd b55; then
echo "-- group b55 added"
fi
fi
if getent group skiftel > /dev/null; then
echo "-- group skiftel already exist"
else
if groupadd skiftel; then
echo "-- group skiftel added"
fi
fi
if getent passwd pwrp > /dev/null; then
echo "-- user pwrp already exist"
else
new_user=1
if useradd -s /bin/bash -p aaupl/kQs1p3U -g pwrp -G b55,b66,skiftel -d /home/pwrp pwrp; then
echo "-- user pwrp added"
fi
if [ ! -e /home/pwrp ]; then
mkdir /home/pwrp
/bin/cp /usr/pwrsev/cnf/user/.bashrc /home/pwrp
/bin/cp /usr/pwrsev/cnf/user/.bash_profile /home/pwrp
/bin/cp /usr/pwrsev/cnf/user/.rtt_start /home/pwrp
chmod a+x /home/pwrp/.rtt_start
/bin/cp /usr/pwrsev/cnf/user/.xtt_start /home/pwrp
chmod a+x /home/pwrp/.xtt_start
chown -R pwrp /home/pwrp
chgrp -R pwrp /home/pwrp
fi
fi
if getent passwd skiftel > /dev/null; then
echo "-- user skiftel already exist"
else
new_user=1
if useradd -s /bin/bash -p aa6NzxS/aBgP6 -g skiftel -G pwrp -d /home/skiftel skiftel; then
echo "-- user skiftel added"
fi
if [ ! -e /home/skiftel ]; then
mkdir /home/skiftel
cp /usr/pwrsev/cnf/user/.bashrc /home/skiftel
cp /usr/pwrsev/cnf/user/.bash_profile /home/skiftel
cp /usr/pwrsev/cnf/user/.rtt_start /home/skiftel
chmod a+x /home/skiftel/.rtt_start
cp /usr/pwrsev/cnf/user/.xtt_start /home/skiftel
chmod a+x /home/skiftel/.xtt_start
chown -R pwrp /home/skiftel
chgrp -R pwrp /home/skiftel
fi
fi
if getent passwd b55 > /dev/null; then
new_user=1
# Check if group audio exist
if getent group audio > /dev/null; then
groups="pwrp,audio"
else
groups="pwrp"
fi
if useradd -s /bin/bash -p aaQPClsglxJP6 -g b55 -G $groups -d /home/b55 b55; then
echo "-- user b55 added"
fi
if [ ! -e /home/b55 ]; then
mkdir /home/b55
cp /usr/pwrsev/cnf/op/.bashrc /home/b55
cp /usr/pwrsev/cnf/op/.bash_profile /home/b55
cp /usr/pwrsev/cnf/op/.rtt_start /home/b55
chmod a+x /home/b55/.rtt_start
cp /usr/pwrsev/cnf/op/.xtt_start /home/b55
chmod a+x /home/b55/.xtt_start
chown -R b55 /home/b55
chgrp -R pwrp /home/b55
chmod g+rwx /home/b55
fi
fi
#echo "Change owner of files to pwrp"
chown -R pwrp /usr/pwrsev
chgrp -R pwrp /usr/pwrsev
chmod u+s /usr/pwrsev/exe/sev_ini
chown root /usr/pwrsev/exe/rt_prio
chmod u+s /usr/pwrsev/exe/rt_prio
# Copy configuration files
new_cnf=0
if [ ! -e /etc/proview.cnf ]; then
cp /usr/pwrsev/cnf/proview.cnf /etc
new_cnf=1
fi
# Add pwrp_profile to profile
if ! grep -q "/etc/pwrp_profile\b" /etc/profile; then
cat >> /etc/profile <<-EOF
if [ -e /etc/pwrp_profile ]; then
source /etc/pwrp_profile
fi
EOF
fi
# Create startup link
if [ -e /etc/init.d/rc2.d ]; then
set +e
checklink=`eval ls /etc/init.d/rc2.d/S90pwrsev 2>/dev/null`
set -e
if [ "$checklink" != "" ]; then
rm /etc/init.d/rc2.d/S90pwrsev
fi
ln -s /etc/init.d/pwrsev /etc/init.d/rc2.d/S90pwrsev
elif [ -e /etc/rc2.d ]; then
set +e
checklink=`eval ls /etc/rc2.d/S90pwrsev 2>/dev/null`
set -e
if [ "$checklink" != "" ]; then
rm /etc/rc2.d/S90pwrsev
fi
ln -s /etc/init.d/pwrsev /etc/rc2.d/S90pwrsev
fi
# Create project
new_project=0
if [ ! -e $proot ]; then
new_project=1
mkdir $proot
mkdir $proot/common
mkdir $proot/common/inc
mkdir $proot/common/load
mkdir $proot/common/log
mkdir $proot/common/doc
mkdir $proot/common/db
mkdir $proot/common/web
mkdir $proot/x86_linux
mkdir $proot/x86_linux/exe
mkdir $proot/x86_linux/lib
mkdir $proot/x86_linux/obj
mkdir $proot/x86_linux/lis
chown -R pwrp $proot
chgrp -R pwrp $proot
fi
if [ ! -e $aroot/db ]; then
mkdir -p $aroot/db
chown -R pwrp $aroot
fi
changes=0
if [ $new_user -eq 1 ]; then
changes=1
elif [ $new_cnf -eq 1 ]; then
changes=1
elif [ $new_project -eq 1 ]; then
changes=1
fi
if [ $changes -ne 0 ]; then
echo ""
echo ""
echo "***********************************************************"
echo " Don't forget to do this :"
echo ""
fi
if [ $new_cnf -eq 1 ]; then
echo "-- Enter QcomBusId in /etc/proview.cnf"
fi
#if [ $new_user -eq 1 ]; then
# echo "-- Enter OpPlace object as argument to rt_xtt in /home/b55/.xtt_start"
#fi
if [ $new_project -eq 1 ]; then
nodename=`eval uname -n`
echo "-- Create file /home/pwrp/.rhosts"
echo "-- Distribute project to $nodename"
fi
if [ $changes -ne 0 ]; then
echo ""
echo "***********************************************************"
echo ""
fi
%preun
set -e
proot="/pwrp"
aroot="/usr/pwrp/adm"
# rpm doesn't support interactiveness
#echo ""
#echo -n "Do you wan't to remove project and users (y/n) [n] "
#read remove_all
remove_all="n"
if [ "$remove_all" = "y" ]; then
# Check that any user that is to be removed isn't logged in
set +e
user_found=0
currentusers=`eval users`
userstr=""
checkuser=`eval echo $currentusers | grep "\bb55\b"`
if [ "$checkuser" != "" ]; then
user_found=1
userstr=$userstr" b55"
fi
checkuser=`eval echo $currentusers | grep "\bpwrp\b"`
if [ "$checkuser" != "" ]; then
user_found=1
userstr=$userstr" pwrp"
fi
checkuser=`eval echo $currentusers | grep "\bskiftel\b"`
if [ "$checkuser" != "" ]; then
user_found=1
userstr=$userstr" skiftel"
fi
if [ $user_found -eq 1 ]; then
echo "-- Current users: $currentusers"
echo "** Remove user will fail. Logout user $userstr first."
exit -1;
fi
set -e
echo "-- Remove user b55"
if getent passwd b55 > /dev/null; then
userdel b55
fi
if [ -e /home/b55 ]; then
rm -r /home/b55
fi
echo "-- Remove user pwrp"
if getent passwd pwrp > /dev/null; then
userdel pwrp
fi
if [ -e /home/pwrp ]; then
rm -r /home/pwrp
fi
echo "-- Remove user skiftel"
if getent skiftel pwrp > /dev/null; then
userdel skiftel
fi
if [ -e /home/skiftel ]; then
rm -r /home/skiftel
fi
if getent group b55 > /dev/null; then
groupdel b55
fi
if getent group pwrp > /dev/null; then
groupdel pwrp
fi
if getent group skiftel > /dev/null; then
groupdel skiftel
fi
echo "-- Remove project $proot"
if [ -e $proot ]; then
rm -r $proot
fi
if [ -e $aroot ]; then
rm -r $aroot
fi
fi
# Remove startup
if [ -e /etc/init.d/rc2.d ]; then
checklink=`eval ls /etc/init.d/rc2.d/S90pwr 2>/dev/null`
if [ "$checklink" != "" ]; then
rm /etc/init.d/rc2.d/S90pwr
fi
elif [ -e /etc/rc2.d ]; then
checklink=`eval ls /etc/rc2.d/S90pwr 2>/dev/null`
if [ "$checklink" != "" ]; then
rm /etc/rc2.d/S90pwr
fi
fi
# Remove jar-files on web directory
if [ -e /etc/proview.cnf ]; then
web_dir=`eval cat /etc/proview.cnf | grep "\\bwebDirectory\\b" | awk '{print $2}'`
if [ -e $web_dir/pwr_rt_client.jar ]; then
rm $web_dir/pwr_rt_client.jar
fi
if [ -e $web_dir/pwr_jop.jar ]; then
rm $web_dir/pwr_jop.jar
fi
fi
#%postun
%changelog
* Mon Nov 10 2008 Claes Sjofors <claes.sjofors@ssabox.com> 4.6.0-1
- Base release.
.TH sev_ini "1" "April 2005" "Proview" "Proview Manual"
.SH NAME
sev_ini - start or stop the Proview storage environment
.SH SYNOPSIS
.B sev_ini
[\fIOPTION\fR]
.SH DESCRIPTION
Startup process for the Proview storage environment.
.SH OPTIONS
.HP
\fB\-a\fR
.IP
Application file. The application file defines the application processes for
the node. The default name is $pwrp_load/ld_appl_'node'_'busid'.txt, where node is
the nodename and busid is the QCOM bus id, for example
$pwrp_load/ld_appl_vwxn1t_507.txt
.HP
\fB\-c\fR
.IP
Console file. The output of log messages to the console device can be redirected with
the -c option.
.HP
\fB\-d\fR
.IP
Load file directory. Default is $pwrp_load.
.HP
\fB\-e\fR
.IP
Ignore errors.
.HP
\fB\-f\fR
.IP
Ignore fatal errors.
.HP
\fB\-h\fR
.IP
Print help.
.HP
\fB\-i\fR
.IP
Interactive. Print error messages to terminal.
.HP
\fB\-n\fR
.IP
Node name.
.HP
\fB\-q\fR
.IP
QCOM bus id.
.HP
\fB\-s\fR
.IP
Stop Proview.
.HP
\fB\-v\fR
.IP
Verbose.
.HP
\fB\-w\fR
.IP
Ignore warnings.
.HP
\fB\-?\fR
.IP
Print help.
.SH FILES
/etc/pwrp_profile
The Proview system wide configuration file.
.SH "SEE ALSO"
.BR pwrsev(1)
.TH sev_xtt "1" "April 2005" "Proview" "Proview Manual"
.SH NAME
sev_xtt - Proview Storage Operator
.SH SYNOPSIS
.B sev_xtt
[\fIOPTION\fR] [opplace]
.SH DESCRIPTION
The Proview Storage Operator Environment contains a set of utitlities to handle the
the stored data.
.SH OPTIONS
.HP
\fBopplace\fR
.IP
The name of the OpPlace object for the operator place.
.HP
\fB\-l\fR
.IP
Language.
.RS
en_us English
.RE
.RS
sv_se Swedish.
.RE
.RS
de_de German.
.RE
.RS
en_us is default.
.RE
.HP
\fB\-q\fR
.IP
Quiet. Hide license information.
.SH AUTHOR
Written by cs.
.SH "SEE ALSO"
.BR sevpwr(1),
.BR sev_ini(1)
......@@ -29,7 +29,7 @@ copy :
lib :
exe : $(bld_dir)/pwr.spec $(bld_dir)/pwrrt.spec $(bld_dir)/pwrdemo.spec
exe : $(bld_dir)/pwr.spec $(bld_dir)/pwrrt.spec $(bld_dir)/pwrdemo.spec $(bld_dir)/pwrsev.spec
clean :
......@@ -55,5 +55,10 @@ $(bld_dir)/pwrdemo.spec : ../../../pwrdemo/pwrdemo.spec
@ ../../../pwrdemo/build.sh
@ cp $(source) $(target)
$(bld_dir)/pwrsev.spec : ../../../pwrsev/pwrsev.spec
@ echo "build $(target)"
@ ../../../pwrsev/build.sh
@ cp $(source) $(target)
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment